Do you support PDFpen on iOS 7?

Last Updated: Mar 02, 2015 08:31AM PST
PDFpen for iPad and iPhone version 2, requires an iPhone, iPad, or iPod touch running iOS 8.

For iOS 7 use PDFpen for iPhone and PDFpen for iPad version 1. As of February 28, 2015, these are no longer available for sale on the App Store.

(Applies to PDFpen v.1 and later running iOS 7 and later).

Contact Us

  • Contact Support
  • We are proud of our reputation for excellent service. Send us an email and we will get back to you within 24 hours, usually far less.

  • Return to Main Site.
support@smilesoftware.com
http://assets0.desk.com/
false
SmileSoftware
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete